#ifndef DEFS_H
#define DEFS_H

#define HAVE_CSS   1

typedef unsigned char           u8;
typedef signed   char           s8;
typedef unsigned short          u16;
typedef signed   short          s16;
typedef unsigned int            u32;
typedef signed   int            s32;

#ifdef WIN32
typedef unsigned __int64        u64;
typedef signed   __int64        s64;
#define FORMATI64 "%I64d"
#else
typedef unsigned long long      u64;
typedef signed   long long      s64;
#define FORMATI64 "%lld"
#endif

#ifdef WIN32
 #define usleep(x) Sleep(x/1000)
 #define VERSION "1.0.3"
 #define XINE_VERSION 1098
#endif

/*****************************************************************************
 * Macros and inline functions
 *****************************************************************************/

/* CEIL: division with round to nearest greater integer */
#define CEIL(n, d)  ( ((n) / (d)) + ( ((n) % (d)) ? 1 : 0) )

/* PAD: PAD(n, d) = CEIL(n ,d) * d */
#define PAD(n, d)   ( ((n) % (d)) ? ((((n) / (d)) + 1) * (d)) : (n) )

/* MAX and MIN: self explanatory */
#ifndef MAX
#define MAX(a, b)   ( ((a) > (b)) ? (a) : (b) )
#endif
#ifndef MIN
#define MIN(a, b)   ( ((a) < (b)) ? (a) : (b) )
#endif

#endif

